// ======================================================================
//
// pal_wu2.h
// jeff grills
//
// copyright 1996 origin systems inc
//
// ======================================================================

#ifndef PALETTE_DATA_WU2_H
#define PALETTE_DATA_WU2_H

// ======================================================================

class Palette;
#include "PaletteData.h"

// ======================================================================

class PaletteData_wu2 : public PaletteData
{
private:

	byte *mem;
	void *clut;

public:
	
	PaletteData_wu2(const Palette *pal);
	virtual ~PaletteData_wu2(void);

	void *getClut(void) const;
};

// ======================================================================

inline void *PaletteData_wu2::getClut(void) const
{
	return clut;
}

// ======================================================================

#endif
